# WOK
TKWOK
MS

# MS_ExternMet Class Reference

`#include <MS_ExternMet.hxx>`

Inheritance diagram for MS_ExternMet:

[legend]

## Public Member Functions

Standard_EXPORT | MS_ExternMet (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT | MS_ExternMet (const Handle(TCollection_HAsciiString)&aName, const Handle(TCollection_HAsciiString)&aPackage)
virtual Standard_EXPORT void | CreateFullName ()
Standard_EXPORT void | Package (const Handle(TCollection_HAsciiString)&aPack)
Standard_EXPORT Handle_TCollection_HAsciiString | Package () const
virtual Standard_EXPORT void | Raises (const Handle(TCollection_HAsciiString)&aExcept)
Standard_EXPORT void | Raises (const Handle(TCollection_HAsciiString)&aExcept, const Handle(TCollection_HAsciiString)&aPackage)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | myPackage

## Constructor & Destructor Documentation

Standard_EXPORT MS_ExternMet::MS_ExternMet | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT MS_ExternMet::MS_ExternMet | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(TCollection_HAsciiString)& | aPackage
| ) |

## Member Function Documentation

virtual Standard_EXPORT void MS_ExternMet::CreateFullName | ( |  | ) | `[virtual]`

| Reimplemented from MS_Method.

Standard_EXPORT const MS_ExternMet::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_Method.

Standard_EXPORT Handle_TCollection_HAsciiString MS_ExternMet::Package | ( |  | ) | const

Standard_EXPORT void MS_ExternMet::Package | ( | const Handle(TCollection_HAsciiString)& | aPack | ) |

Standard_EXPORT void MS_ExternMet::Raises | ( | const Handle(TCollection_HAsciiString)& | aExcept,
|  | const Handle(TCollection_HAsciiString)& | aPackage
| ) |

virtual Standard_EXPORT void MS_ExternMet::Raises | ( | const Handle(TCollection_HAsciiString)& | aExcept | ) | `[virtual]`

| Reimplemented from MS_Method.

## Field Documentation

Handle_TCollection_HAsciiString MS_ExternMet::myPackage `[private]`

The documentation for this class was generated from the following file:

- MS_ExternMet.hxx